gslsiman_lib = static_library('gslsiman', 'siman.c',
	include_directories : '..')
gslsiman_dep = declare_dependency(link_with : gslsiman_lib)


executable('GSL Simulated Annealing TSP', 'siman_tsp.c',
	include_directories : '..',
	dependencies : [
		gslieeeutils_dep,
		gslerr_dep,
		gslrng_dep,
		gslsiman_dep
	]
)


gsl_tests += [ [ 'GSL Simulated Annealing Test', files('test.c') ] ]
